com.pixelmed.dose

## Class CTAcquisitionParameters

- java.lang.Object
- - com.pixelmed.dose.CTAcquisitionParameters

    public class CTAcquisitionParameters
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `acquisitionProtocol`
`protected CodedSequenceItem` `anatomy`
`protected java.lang.String` `bottomZLocationOfReconstructableVolume`
`protected java.lang.String` `bottomZLocationOfScanningLength`
`protected java.lang.String` `comment`
`protected ContentItem` `contentItemFragment`
`protected java.lang.String` `exposedRangeInMM`
`protected java.lang.String` `exposureTimeInSeconds`
`protected java.lang.String` `exposureTimePerRotation`
`protected java.lang.String` `frameOfReferenceUID`
`protected java.lang.String` `irradiationEventUID`
`protected java.lang.String` `kvp`
`protected java.lang.String` `lengthOfReconstructableVolumeInMM`
`protected java.lang.String` `nominalSingleCollimationWidthInMM`
`protected java.lang.String` `nominalTotalCollimationWidthInMM`
`protected java.lang.String` `pitchFactor`
`protected java.lang.String` `scanningLengthInMM`
`protected CTScanType` `scanType`
`protected java.lang.String` `topZLocationOfReconstructableVolume`
`protected java.lang.String` `topZLocationOfScanningLength`
`protected java.lang.String` `tubeCurrent`
`protected java.lang.String` `tubeCurrentMaximum`

### Constructor Summary

Constructors
Constructor and Description
`CTAcquisitionParameters(ContentItem parametersNode)`
`CTAcquisitionParameters(CTAcquisitionParameters source)`

`CTAcquisitionParameters(java.lang.String irradiationEventUID, CTScanType scanType, CodedSequenceItem anatomy, java.lang.String acquisitionProtocol, java.lang.String comment, java.lang.String exposureTimeInSeconds, java.lang.String scanningLengthInMM, java.lang.String nominalSingleCollimationWidthInMM, java.lang.String nominalTotalCollimationWidthInMM, java.lang.String pitchFactor, java.lang.String kvp, java.lang.String tubeCurrent, java.lang.String tubeCurrentMaximum, java.lang.String exposureTimePerRotation)`

`CTAcquisitionParameters(java.lang.String irradiationEventUID, CTScanType scanType, CodedSequenceItem anatomy, java.lang.String acquisitionProtocol, java.lang.String comment, java.lang.String exposureTimeInSeconds, java.lang.String scanningLengthInMM, java.lang.String lengthOfReconstructableVolumeInMM, java.lang.String exposedRangeInMM, java.lang.String topZLocationOfReconstructableVolume, java.lang.String bottomZLocationOfReconstructableVolume, java.lang.String topZLocationOfScanningLength, java.lang.String bottomZLocationOfScanningLength, java.lang.String frameOfReferenceUID, java.lang.String nominalSingleCollimationWidthInMM, java.lang.String nominalTotalCollimationWidthInMM, java.lang.String pitchFactor, java.lang.String kvp, java.lang.String tubeCurrent, java.lang.String tubeCurrentMaximum, java.lang.String exposureTimePerRotation)`

### Method Summary

Methods
`void` `deriveScanningLengthFromDLPAndCTDIVolIfGreater(java.lang.String dlp, java.lang.String ctdiVol)`
`boolean` `equals(java.lang.Object o)`
`boolean` `equalsApartFromIrradiationEventUID(CTAcquisitionParameters oap)`
`java.lang.String` `getAcquisitionProtocol()`
`CodedSequenceItem` `getAnatomy()`
`java.lang.String` `getBottomZLocationOfReconstructableVolume()`
`java.lang.String` `getBottomZLocationOfScanningLength()`
`java.lang.String` `getComment()`
`java.lang.String` `getExposedRangeInMM()`
`java.lang.String` `getExposureTimeInSeconds()`
`java.lang.String` `getExposureTimePerRotation()`
`java.lang.String` `getFrameOfReferenceUID()`
`static java.lang.String` `getHTMLTableHeaderRowFragment()`
`java.lang.String` `getHTMLTableRowFragment()`
`java.lang.String` `getIrradiationEventUID()`
`java.lang.String` `getKVP()`
`java.lang.String` `getLengthOfReconstructableVolumeInMM()`
`java.lang.String` `getNominalSingleCollimationWidthInMM()`
`java.lang.String` `getNominalTotalCollimationWidthInMM()`
`java.lang.String` `getPitchFactor()`
`java.lang.String` `getScanningLengthInMM()`
`CTScanType` `getScanType()`
`ContentItem` `getStructuredReportFragment(ContentItem root)`
`java.lang.String` `getTopZLocationOfReconstructableVolume()`
`java.lang.String` `getTopZLocationOfScanningLength()`
`java.lang.String` `getTubeCurrent()`
`java.lang.String` `getTubeCurrentMaximum()`
`static java.lang.String` `locationSignToSI(java.lang.String value)`
`void` `merge(CTAcquisitionParameters oap)`
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean pretty)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### irradiationEventUID

    protected java.lang.String irradiationEventUID

#### scanType

    protected CTScanType scanType

#### anatomy

    protected CodedSequenceItem anatomy

#### acquisitionProtocol

    protected java.lang.String acquisitionProtocol

#### comment

    protected java.lang.String comment

#### exposureTimeInSeconds

    protected java.lang.String exposureTimeInSeconds

#### scanningLengthInMM

    protected java.lang.String scanningLengthInMM

#### lengthOfReconstructableVolumeInMM

    protected java.lang.String lengthOfReconstructableVolumeInMM

#### exposedRangeInMM

    protected java.lang.String exposedRangeInMM

#### topZLocationOfReconstructableVolume

    protected java.lang.String topZLocationOfReconstructableVolume

#### bottomZLocationOfReconstructableVolume

    protected java.lang.String bottomZLocationOfReconstructableVolume

#### topZLocationOfScanningLength

    protected java.lang.String topZLocationOfScanningLength

#### bottomZLocationOfScanningLength

    protected java.lang.String bottomZLocationOfScanningLength

#### frameOfReferenceUID

    protected java.lang.String frameOfReferenceUID

#### nominalSingleCollimationWidthInMM

    protected java.lang.String nominalSingleCollimationWidthInMM

#### nominalTotalCollimationWidthInMM

    protected java.lang.String nominalTotalCollimationWidthInMM

#### pitchFactor

    protected java.lang.String pitchFactor

#### kvp

    protected java.lang.String kvp

#### tubeCurrent

    protected java.lang.String tubeCurrent

#### tubeCurrentMaximum

    protected java.lang.String tubeCurrentMaximum

#### exposureTimePerRotation

    protected java.lang.String exposureTimePerRotation

#### contentItemFragment

    protected ContentItem contentItemFragment

### Constructor Detail

#### CTAcquisitionParameters

    public CTAcquisitionParameters(java.lang.String irradiationEventUID,
                           CTScanType scanType,
                           CodedSequenceItem anatomy,
                           java.lang.String acquisitionProtocol,
                           java.lang.String comment,
                           java.lang.String exposureTimeInSeconds,
                           java.lang.String scanningLengthInMM,
                           java.lang.String lengthOfReconstructableVolumeInMM,
                           java.lang.String exposedRangeInMM,
                           java.lang.String topZLocationOfReconstructableVolume,
                           java.lang.String bottomZLocationOfReconstructableVolume,
                           java.lang.String topZLocationOfScanningLength,
                           java.lang.String bottomZLocationOfScanningLength,
                           java.lang.String frameOfReferenceUID,
                           java.lang.String nominalSingleCollimationWidthInMM,
                           java.lang.String nominalTotalCollimationWidthInMM,
                           java.lang.String pitchFactor,
                           java.lang.String kvp,
                           java.lang.String tubeCurrent,
                           java.lang.String tubeCurrentMaximum,
                           java.lang.String exposureTimePerRotation)

#### CTAcquisitionParameters

    public CTAcquisitionParameters(java.lang.String irradiationEventUID,
                           CTScanType scanType,
                           CodedSequenceItem anatomy,
                           java.lang.String acquisitionProtocol,
                           java.lang.String comment,
                           java.lang.String exposureTimeInSeconds,
                           java.lang.String scanningLengthInMM,
                           java.lang.String nominalSingleCollimationWidthInMM,
                           java.lang.String nominalTotalCollimationWidthInMM,
                           java.lang.String pitchFactor,
                           java.lang.String kvp,
                           java.lang.String tubeCurrent,
                           java.lang.String tubeCurrentMaximum,
                           java.lang.String exposureTimePerRotation)

#### CTAcquisitionParameters

    public CTAcquisitionParameters(CTAcquisitionParameters source)

#### CTAcquisitionParameters

    public CTAcquisitionParameters(ContentItem parametersNode)

### Method Detail

#### merge

    public void merge(CTAcquisitionParameters oap)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### equalsApartFromIrradiationEventUID

    public boolean equalsApartFromIrradiationEventUID(CTAcquisitionParameters oap)

#### getIrradiationEventUID

    public java.lang.String getIrradiationEventUID()

#### getScanType

    public CTScanType getScanType()

#### getAnatomy

    public CodedSequenceItem getAnatomy()

#### getAcquisitionProtocol

    public java.lang.String getAcquisitionProtocol()

#### getComment

    public java.lang.String getComment()

#### getExposureTimeInSeconds

    public java.lang.String getExposureTimeInSeconds()

#### getScanningLengthInMM

    public java.lang.String getScanningLengthInMM()

#### getLengthOfReconstructableVolumeInMM

    public java.lang.String getLengthOfReconstructableVolumeInMM()

#### getExposedRangeInMM

    public java.lang.String getExposedRangeInMM()

#### getTopZLocationOfReconstructableVolume

    public java.lang.String getTopZLocationOfReconstructableVolume()

#### getBottomZLocationOfReconstructableVolume

    public java.lang.String getBottomZLocationOfReconstructableVolume()

#### getTopZLocationOfScanningLength

    public java.lang.String getTopZLocationOfScanningLength()

#### getBottomZLocationOfScanningLength

    public java.lang.String getBottomZLocationOfScanningLength()

#### getFrameOfReferenceUID

    public java.lang.String getFrameOfReferenceUID()

#### getNominalSingleCollimationWidthInMM

    public java.lang.String getNominalSingleCollimationWidthInMM()

#### getNominalTotalCollimationWidthInMM

    public java.lang.String getNominalTotalCollimationWidthInMM()

#### getPitchFactor

    public java.lang.String getPitchFactor()

#### getKVP

    public java.lang.String getKVP()

#### getTubeCurrent

    public java.lang.String getTubeCurrent()

#### getTubeCurrentMaximum

    public java.lang.String getTubeCurrentMaximum()

#### getExposureTimePerRotation

    public java.lang.String getExposureTimePerRotation()

#### deriveScanningLengthFromDLPAndCTDIVolIfGreater

    public void deriveScanningLengthFromDLPAndCTDIVolIfGreater(java.lang.String dlp,
                                                      java.lang.String ctdiVol)

#### locationSignToSI

    public static java.lang.String locationSignToSI(java.lang.String value)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toString

    public java.lang.String toString(boolean pretty)

#### getHTMLTableHeaderRowFragment

    public static java.lang.String getHTMLTableHeaderRowFragment()

#### getHTMLTableRowFragment

    public java.lang.String getHTMLTableRowFragment()

#### getStructuredReportFragment

    public ContentItem getStructuredReportFragment(ContentItem root)
                                            throws DicomException

Throws:
  `DicomException`